Bug 960347 (CVE-2013-1999) - CVE-2013-1999 libXvMC: Array Index error leading to heap-based OOB write
Summary: CVE-2013-1999 libXvMC: Array Index error leading to heap-based OOB write
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2013-1999
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 966817 1078041
Blocks: 959130 1101912
TreeView+ depends on / blocked
 
Reported: 2013-05-07 05:11 UTC by Huzaifa S. Sidhpurwala
Modified: 2019-09-29 13:04 UTC (History)
5 users (show)

Fixed In Version: libXvMC 1.0.8
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-10-16 06:17:38 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2014:1436 normal SHIPPED_LIVE Moderate: X11 client libraries security, bug fix, and enhancement update 2014-10-14 01:06:02 UTC

Description Huzaifa S. Sidhpurwala 2013-05-07 05:11:53 UTC
An Array index error leading to heap-based buffer OOB write flaw were found in the libXvMC, X.Org X11 libXvMC runtime library. When a X client is connected to a malcicious X server , (modified to return invalid values), it can cause arbirary code execution with the privileges of the user running the X client.

      Affected functions:  XvMCGetDRInfo()

Comment 2 Jan Lieskovsky 2013-05-23 16:02:37 UTC
Public via:
  http://www.openwall.com/lists/oss-security/2013/05/23/3

Comment 3 Huzaifa S. Sidhpurwala 2013-05-24 03:57:03 UTC
Created libXvMC tracking bugs for this issue

Affects: fedora-all [bug 966817]

Comment 4 Fedora Update System 2013-05-27 03:23:35 UTC
libXvMC-1.0.7-6.20130524gite9415ddef.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 6 Peter Hutterer 2013-06-02 23:33:38 UTC
libXvMC-1.0.7-6.20130524gite9415ddef.fc19 includes those fixes, but we forgot to update the git sha in the package NVR. The actual commit is 8c164524d229adb6141fda.

Comment 7 Fedora Update System 2013-06-03 03:04:51 UTC
libXvMC-1.0.7-6.20130524gite9415ddef.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Huzaifa S. Sidhpurwala 2013-06-05 03:38:04 UTC
This issue affects the version of libXvMC as shipped with Red Hat Enterprise Linux 5 and 6.

Comment 9 Huzaifa S. Sidhpurwala 2013-06-05 03:49:00 UTC
Statement:

This issue affects the libXvMC package in Red Hat Enterprise Linux 5. Red Hat Product Security has rated this issue as having Moderate security impact. This issue is not planned to be fixed in Red Hat Enterprise Linux 5 as it is now in Production 3 Phase of the support and maintenance life cycle: https://access.redhat.com/support/policy/updates/errata/

Comment 10 Jan Lieskovsky 2013-06-17 09:48:19 UTC
External References:

http://www.x.org/wiki/Development/Security/Advisory-2013-05-23

Comment 11 Fedora Update System 2013-07-18 06:07:45 UTC
libXvMC-1.0.8-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 errata-xmlrpc 2014-10-14 05:05:34 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 6

Via RHSA-2014:1436 https://rhn.redhat.com/errata/RHSA-2014-1436.html


Note You need to log in before you can comment on or make changes to this bug.